<?php
$default_search_text = __( 'Search' ) . '...';
$initial_search_color = 'gray';
if ( ! empty( $GLOBALS['lblg_search_text'] ) && $GLOBALS['lblg_search_text'] != $default_search_text ) {
	$initial_search_color = '#000';
} else {
	if ( !is_search() ) {
		$GLOBALS['lblg_search_text'] = $default_search_text;
	} else {
		$GLOBALS['lblg_search_text'] = esc_html($s, 1);
		$initial_search_color = '#000';
	}
}

/* If there are multiple search forms on the page, give them unique id and name attribute values: for the first one id="s" and name="s", for the second one id="s2" and name="s2" etc.
*/
if ( ! $GLOBALS['lblg_searchform_counter'] >= 1 ) {
	$searchform_id_appendix = '';
	$GLOBALS['lblg_searchform_counter'] = 1;
} else {
	$searchform_id_appendix = $GLOBALS['lblg_searchform_counter'];
	$GLOBALS['lblg_searchform_counter']++;
}
?>
<div id="searchform<?php echo $searchform_id_appendix; ?>-container" class="searchform-container">
	<form method="get" id="searchform<?php echo $searchform_id_appendix; ?>" class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">        
		<input type="text" id="s<?php echo $searchform_id_appendix; ?>" name="s" class="searchfield" style="color:<?php echo $initial_search_color; ?>" value="<?php echo $GLOBALS['lblg_search_text']; ?>" onfocus="if (this.value == '<?php echo $default_search_text; ?>') {this.value = '';this.style.color = '#000';}" onblur="if (this.value == '') {this.value = '<?php echo $default_search_text; ?>';this.style.color = 'gray';}" />
		<input type="hidden" id="searchsubmit<?php echo $searchform_id_appendix; ?>" class="hidden-submit" value="Search" />
		<input type="submit" value="" class="search-icon" onclick="if (this.previousElementSibling.previousElementSibling.value == '<?php echo $default_search_text; ?>') {this.previousElementSibling.previousElementSibling.value = '';}" />
	</form>
</div>